Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 228763 (CVE-2007-0894)

Summary: CVE-2007-0894: mediawiki full path disclosure
Product: [Fedora] Fedora Reporter: Ville Skytt√§ <ville.skytta>
Component: mediawikiAssignee: Axel Thimm <axel.thimm>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: fedora-security-list, fedora, roozbeh
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.8.4-8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-03-26 17:14:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ville Skyttä 2007-02-14 20:50:14 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-0894

"MediaWiki before 1.9.2 allows remote attackers to obtain sensitive information
via a direct request to (1) Simple.deps.php, (2) MonoBook.deps.php, (3)
MySkin.deps.php, or (4) Chick.deps.php in wiki/skins, which shows the
installation path in the resulting error message."

1.8.3 (current FE6) in the CVE entry is not listed as vulnerable, don't know if
the omission is intentional.  And whether installation path disclosure is an
issue with Fedora packages can also be debated, reporting here just in case
there's more to it.

Comment 1 Axel Thimm 2007-02-14 21:45:30 UTC
Thanks for the heads-up (1.8.3 should be vulerable as well, it was probably
forgotten in the list of vulnerable versions).

Indeed for the package we aren't losing any more information than the attacker
would already know (unless he doesn't even know he's attacking a Fedora server).
For F7 upwards (and most possibly backporting to FC6/FC5) the code and data are
being separated (code moves to %{_datadir}), so there won't be any direct
requests possible at all. But this still needs some testing in F7/devel.

Comment 2 Axel Thimm 2007-02-22 11:50:43 UTC
There is an update of mediawiki which among other fixes this.

FC-5 and FC-6 will be updated to 1.8.4.
F7 will be updated to 1.9.3.

I'll close this bug once the packages make it to the master repo.

Thanks!